digest.c File Reference
SIGNATURE.
`#include "system.h"`
`#include "rpmio_internal.h"`
`#include <rpmbc.h>`
`#include "crc.h"`
`#include "md2.h"`
`#include "md4.h"`
`#include "sha224.h"`
`#include "rmd128.h"`
`#include "rmd160.h"`
`#include "rmd256.h"`
`#include "rmd320.h"`
`#include "salsa10.h"`
`#include "salsa20.h"`
`#include "tiger.h"`
`#include "debug.h"`
`#include "lookup3.c"`
Include dependency graph for digest.c:

Go to the source code of this file.

## Data Structures

struct | DIGEST_CTX_s
| MD5/SHA1 digest private data. More...

## Macros

#define | DPRINTF(_a)
#define | _JLU3_jlu32l

## Functions

pgpHashAlgo | rpmDigestAlgo (DIGEST_CTX ctx)
| Return digest algorithm identifier. More...
const char * | rpmDigestName (DIGEST_CTX ctx)
| Return digest name. More...
const char * | rpmDigestASN1 (DIGEST_CTX ctx)
| Return digest ASN1 oid string. More...
DIGEST_CTX | rpmDigestDup (DIGEST_CTX octx)
| Duplicate a digest context. More...
DIGEST_CTX | rpmDigestInit (pgpHashAlgo hashalgo, rpmDigestFlags flags)
| Initialize digest. More...
int | rpmDigestUpdate (DIGEST_CTX ctx, const void *data, size_t len)
| Update context with next plain text buffer. More...
int | rpmDigestFinal (DIGEST_CTX ctx, void *datap, size_t *lenp, int asAscii)
| Return digest and destroy context. More...

## Macro Definition Documentation

#define _JLU3_jlu32l

Definition at line 32 of file digest.c.

#define DPRINTF | ( |  | _a | ) |

Definition at line 28 of file digest.c.

Referenced by rpmDigestFinal(), rpmDigestInit(), and rpmDigestUpdate().